Subject: Re: Q: control is a C&T 65550?

From: Daniel Jacobowitz <[email-masked]>
Date: Tue, 8 Jun 1999 20:16:14 -0400

On Wed, Jun 09, 1999 at 09:54:18AM +1000, Paul Mackerras wrote:
> Daniel Jacobowitz <[email-masked]> wrote:
> 
> > That's one of those if-i-had-more-time things - and more specifically,
> > if I knew how to dump video regs under macos.  Is it trivial?
> 
> This is where I use xmon.  There is a macos version at (I think)
> ftp://ftp.linuxppc.org/users/paulus/misc/xmon.bin.  From memory, the
> control registers are at 0x90010000 and the RADACAL (ramdac/cursor
> chip) registers are at 0xf301b000.
> 
> The other thing to do is to browse through the darwin sources from
> apple and see if they have a control driver somewhere.
> 
> IIRC, the hardware cursor uses some extra bytes on each scan line and
> some registers in the RADACAL.

Ahah, xmon might be quite useful here.  Also, were I to browse Darwin,
would I be able to use that information?  Have those licence problems
ever been straightened out?

Dan

/--------------------------------\  /--------------------------------\
|       Daniel Jacobowitz        |__|        SCS Class of 2002       |
|   Debian GNU/Linux Developer    __    Carnegie Mellon University   |
|         [email-masked]         |  |       [email-masked]      |
\--------------------------------/  \--------------------------------/

[[ This message was sent via the linuxppc-dev mailing list.  Replies are ]]
[[ not  forced  back  to the list, so be sure to Cc linuxppc-dev if your ]]
[[ reply is of general interest. Please check http://lists.linuxppc.org/ ]]
[[ and http://www.linuxppc.org/ for useful information before posting.   ]]